﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace YMyCustomer
{
    /// <summary>
    /// オブジェクト種別コード
    /// </summary>
    public abstract class YCObjectType
    {
        /// <summary>
        /// 顧客
        /// </summary>
        public const string Customer = "00010";

        /// <summary>
        /// 顧客グループ
        /// </summary>
        public const string CustomerGroup = "00020";

    }

    /// <summary>
    /// データベース項目の桁数
    /// </summary>
    public abstract class YCDbColumnLength
    {
        /// <summary>
        /// 顧客コード
        /// </summary>
        public const int CustomerCode = 10;

        /// <summary>
        /// 顧客グループコード
        /// </summary>
        public const int CustomerGroupCode = 10;

        /// <summary>
        /// 連絡先種別コード
        /// </summary>
        public const int ContactTypeCode = 2;

        /// <summary>
        /// 電話種別コード
        /// </summary>
        public const int TelephoneTypeCode = 2;

        /// <summary>
        /// メール種別コード
        /// </summary>
        public const int MailTypeCode = 2;

        /// <summary>
        /// 有効時間帯メモ
        /// </summary>
        public const int TimeMemo = 100;

        /// <summary>
        /// 備考
        /// </summary>
        public const int Note = 255;

        /// <summary>
        /// 電話番号・ＦＡＸ番号
        /// </summary>
        public const int TelephoneNo = 20;

        /// <summary>
        /// メールアドレス
        /// </summary>
        public const int MailAddress = 100;
    }

    /// <summary>
    /// 法個人コード
    /// </summary>
    public abstract class YCCustomerStatus
    {
        /// <summary>
        /// 個人
        /// </summary>
        public const string Person = "001";
    }

    /// <summary>
    /// 法人格配置コード
    /// </summary>
    public abstract class YCCorporateStatusPosition
    {
        /// <summary>
        /// なし
        /// </summary>
        public const string Non = "00";
        
        /// <summary>
        /// 前
        /// </summary>
        public const string Ahead = "01";
        
        /// <summary>
        /// 後
        /// </summary>
        public const string Back = "02";
    }

    /// <summary>
    /// 電話種別コード
    /// </summary>
    public abstract class YCTelephoneType
    {
        /// <summary>
        /// 固定電話
        /// </summary>
        public const string Fixed = "01";
        
        /// <summary>
        /// 携帯電話
        /// </summary>
        public const string Mobile = "02";
    }

    /// <summary>
    /// メール種別コード
    /// </summary>
    public abstract class YCMailType
    {
        /// <summary>
        /// PCメール
        /// </summary>
        public const string PC = "01";

        /// <summary>
        /// 携帯メール
        /// </summary>
        public const string Mobile = "02";
    }

    /// <summary>
    /// ユーザレベル
    /// </summary>
    public abstract class YCUserLevel
    {
        /// <summary>
        /// 顧客リストが印刷できるレベル
        /// </summary>
        public const int CanPrintCustomerList = 60;
    }
}
