﻿using System;
using System.Collections.Generic;
using System.Windows.Forms;

using YSystem;

namespace YMyCustomer
{
    static class Program
    {
        /// <summary>
        /// アプリケーションのメイン エントリ ポイント
        /// </summary>
        [STAThread]
        static void Main()
        {
            //
            //Visual Studioによって自動生成されるコードです。
            //

            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);

            //
            //以下、YWorks Software Framework の起動時の記述です。
            //

            YCLogon logon = null;
            bool isLogoned = false;

            try
            {
                //
                //YWorks Software Framework キーの設定
                //キーを設定すると起動時のロゴを非表示にできます。
                //YCLicenseKeys.FrameworkKeyプロパティを実装して下さい。
                //
                YCApplication.Instance.YSystemKey = YCLicenseKeys.FrameworkKey;

                //アプリケーション設定
                YCApplication.Instance.Disposer = new YCDisposer();
                YCApplication.Instance.SetupConfig("config.xml");

                //コネクション設定
                YCConnectionManager.Instance.StartupConnection(new YCSqlConnection(), YCApplication.Instance.Config.GetKey("database", "source_main"));

                //ユーザ認証（ログオン）
                logon = new YCLogon();
                isLogoned = logon.Logon(YCConnectionManager.Instance.Connection);
                logon.Dispose();
                logon = null;

                //ユーザ認証後のアプリケーション起動
                if (isLogoned)
                {
                    //リストの読み込み
                    YCListManager.Instance.LoadLists();

                    //MDIの起動
                    Application.Run(new mdiApplication());
                }

            }
            catch (Exception e)
            {
                if (logon != null)
                {
                    try { logon.Dispose(); }
                    catch { }
                    logon = null;
                }

                try { YCApplication.Instance.Dispose(); }
                catch { }

                YCMessageBox.ShowErrorMessage("起動に失敗しました。\n" + e.Message);
            }
        }
    }
}