﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Text;

using YSystem;

namespace YMyCustomer
{
    /// <summary>
    /// アプリケーション用のヘルパクラス
    /// </summary>
    public abstract class YCApplicationHelper
    {

        /// <summary>
        /// 子顧客グループを取得します。
        /// </summary>
        /// <param name="targetCode">対象顧客グループコード</param>
        /// <returns>子顧客グループコード</returns>
        public static string[] GetChildrenGroupCodes(string targetCode, YCConnection connection)
        {
            //
            //YWorks Software Framework キーが設定されている場合
            //YCStringArrayを利用できます。
            //YCLicenseKeys.FrameworkKeyプロパティを実装して下さい。
            //

            string[] ans = null;
            YCDataTableReader dtr = null;
            YCStringArray children = null;

            if (targetCode == "") return null;

            try
            {

                string sql = "SELECT 顧客グループコード FROM Ｍ顧客グループ";
                sql += " WHERE 所属顧客グループコード = " + YCDbHelper.SqlString(targetCode);
                sql += " ORDER BY プライオリティ;";

                dtr = connection.CreateDataTableReader(sql);
                dtr.MoveFirst();
                children = new YCStringArray();

                while (!dtr.EOF)
                {
                    string code = YCConvert.ToString(dtr["顧客グループコード"]);
                    if (code != "")
                    {
                        children.Add(code);
                        children.Add(YCApplicationHelper.GetChildrenGroupCodes(code, connection));
                    }

                    dtr.MoveNext();
                }

                dtr.Dispose();
                dtr = null;

                if (children.Count > 0) ans = children.Strings;

                children.Dispose();
                children = null;

                return ans;
            }
            catch (Exception e)
            {
                if (dtr != null)
                {
                    try { dtr.Dispose(); }
                    catch { }
                    dtr = null;
                }

                if (children != null)
                {
                    try { children.Dispose(); }
                    catch { }
                    children = null;
                }

                throw e;
            }
        }
    }
}
