﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using YSystem;

namespace YMyCustomer
{
    /// <summary>
    /// データ登録用のコマンドクラス
    /// </summary>
    public abstract class YCCommandEntry
    {
        /// <summary>
        /// 顧客名検索リストをオープンします。
        /// <para>顧客登録時の事前確認用です。</para>
        /// </summary>
        public static void OpenSearchCustomerNameList()
        {
            YCSearchCustomerNameList list = null;
            frmSearchCustomerNameList frm = null;

            try
            {
                list = new YCSearchCustomerNameList(YCConnectionManager.Instance.Connection);
                frm = new frmSearchCustomerNameList();

                frm.List = list;
                frm.Show();

                list = null;
                frm = null;
            }
            catch (Exception e)
            {
                if (frm != null)
                {
                    try { frm.Dispose(); }
                    catch { }
                    frm = null;
                }
                if (list != null)
                {
                    try { list.Dispose(); }
                    catch { }
                    list = null;
                }
                YCMessageBox.ShowErrorMessage(e.Message);
            }
        }

        /// <summary>
        /// 顧客グループ登録リストをオープンします。
        /// </summary>
        public static void OpenCustomerGroupEntryList()
        {
            YCCustomerGroupEntryList list = null;
            frmCustomerGroupEntryList frm = null;

            try
            {
                list = new YCCustomerGroupEntryList(YCConnectionManager.Instance.Connection);
                frm = new frmCustomerGroupEntryList();

                frm.List = list;
                frm.Show();

                list = null;
                frm = null;
            }
            catch (Exception e)
            {
                if (frm != null)
                {
                    try { frm.Dispose(); }
                    catch { }
                    frm = null;
                }
                if (list != null)
                {
                    try { list.Dispose(); }
                    catch { }
                    list = null;
                }
                YCMessageBox.ShowErrorMessage(e.Message);
            }
        }
    }
}
