﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Windows.Forms;

using YSystem;

namespace YMyCustomer
{
    /// <summary>
    /// マスタメンテナンス用のコマンドクラス
    /// </summary>
    public abstract class YCCommandMasterMaintenance
    {
        /// <summary>
        /// ユーザリストをオープンします。
        /// </summary>
        public static void OpenUserList()
        {
            YCUserList list = null;
            frmUserList frm = null;

            try
            {
                list = new YCUserList(YCConnectionManager.Instance.Connection);
                frm = new frmUserList();

                frm.List = list;
                frm.Show();

                list = null;
                frm = null;
            }
            catch (Exception e)
            {
                if (frm != null)
                {
                    try { frm.Dispose(); }
                    catch { }
                    frm = null;
                }
                if (list != null)
                {
                    try { list.Dispose(); }
                    catch { }
                    list = null;
                }
                YCMessageBox.ShowErrorMessage(e.Message);
            }
        }

        /// <summary>
        /// ユーザグループリストをオープンします。
        /// </summary>
        public static void OpenUserGroupList()
        {
            YCUserGroupList list = null;
            dlgUserGroupList dlg = null;

            try
            {
                list = new YCUserGroupList(YCConnectionManager.Instance.Connection);
                dlg = new dlgUserGroupList();

                dlg.List = list;
                DialogResult ret = dlg.ShowDialog(YCApplication.Instance.MdiParent);

                list = null;
                dlg = null;

                if (ret == DialogResult.OK)
                {
                    YCListManager.Instance.Lists["ユーザグループ"].Load(true);
                }
            }
            catch (Exception e)
            {
                if (dlg != null)
                {
                    try { dlg.Dispose(); }
                    catch { }
                    dlg = null;
                }
                if (list != null)
                {
                    try { list.Dispose(); }
                    catch { }
                    list = null;
                }
                YCMessageBox.ShowErrorMessage(e.Message);
            }
        }

        /// <summary>
        /// 業種リストをオープンします。
        /// </summary>
        public static void OpenBusinessTypeList()
        {
            YCBusinessTypeList list = null;
            dlgBusinessTypeList dlg = null;

            try
            {
                list = new YCBusinessTypeList(YCConnectionManager.Instance.Connection);
                dlg = new dlgBusinessTypeList();

                dlg.List = list;
                DialogResult ret = dlg.ShowDialog(YCApplication.Instance.MdiParent);

                list = null;
                dlg = null;

                if (ret == DialogResult.OK)
                {
                    YCListManager.Instance.Lists["業種"].Load(true);
                }
            }
            catch (Exception e)
            {
                if (dlg != null)
                {
                    try { dlg.Dispose(); }
                    catch { }
                    dlg = null;
                }
                if (list != null)
                {
                    try { list.Dispose(); }
                    catch { }
                    list = null;
                }
                YCMessageBox.ShowErrorMessage(e.Message);
            }
        }

        /// <summary>
        /// 職種リストをオープンします。
        /// </summary>
        public static void OpenOccupationTypeList()
        {
            YCOccupationTypeList list = null;
            dlgOccupationTypeList dlg = null;

            try
            {
                list = new YCOccupationTypeList(YCConnectionManager.Instance.Connection);
                dlg = new dlgOccupationTypeList();

                dlg.List = list;
                DialogResult ret = dlg.ShowDialog(YCApplication.Instance.MdiParent);

                list = null;
                dlg = null;

                if (ret == DialogResult.OK)
                {
                    YCListManager.Instance.Lists["職種"].Load(true);
                }
            }
            catch (Exception e)
            {
                if (dlg != null)
                {
                    try { dlg.Dispose(); }
                    catch { }
                    dlg = null;
                }
                if (list != null)
                {
                    try { list.Dispose(); }
                    catch { }
                    list = null;
                }
                YCMessageBox.ShowErrorMessage(e.Message);
            }
        }

        /// <summary>
        /// メールアカウントリストをオープンします。
        /// </summary>
        public static void OpenMailAccountList()
        {
            YCMailAccountList list = null;
            dlgMailAccountList dlg = null;

            try
            {
                list = new YCMailAccountList(YCConnectionManager.Instance.Connection);
                dlg = new dlgMailAccountList();

                dlg.List = list;
                DialogResult ret = dlg.ShowDialog(YCApplication.Instance.MdiParent);

                list = null;
                dlg = null;

                if (ret == DialogResult.OK)
                {
                    YCListManager.Instance.Lists["メールアカウント"].Load(true);
                }
            }
            catch (Exception e)
            {
                if (dlg != null)
                {
                    try { dlg.Dispose(); }
                    catch { }
                    dlg = null;
                }
                if (list != null)
                {
                    try { list.Dispose(); }
                    catch { }
                    list = null;
                }
                YCMessageBox.ShowErrorMessage(e.Message);
            }
        }
    }
}
