﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using YSystem;

namespace YMyCustomer
{
    /// <summary>
    /// ツール呼び出し用のコマンドクラス
    /// </summary>
    public abstract class YCCommandTools
    {
        /// <summary>
        /// 顧客リストを表示します。
        /// </summary>
        public static void OpenCustomerList()
        {
            YCCustomerList list = null;
            frmCustomerList frm = null;

            try
            {
                list = new YCCustomerList(YCConnectionManager.Instance.Connection);
                frm = new frmCustomerList();

                frm.List = list;
                frm.Show();

                list = null;
                frm = null;
            }
            catch (Exception e)
            {
                if (frm != null)
                {
                    try { frm.Dispose(); }
                    catch { }
                    frm = null;
                }
                if (list != null)
                {
                    try { list.Dispose(); }
                    catch { }
                    list = null;
                }
                YCMessageBox.ShowErrorMessage(e.Message);
            }
        }

        /// <summary>
        /// 顧客グループメール送信を表示します。
        /// </summary>
        public static void OpenCustomerGroupMail()
        {
            frmCustomerGroupMail frm = null;

            try
            {
                frm = new frmCustomerGroupMail();
                frm.Show();
                frm = null;
            }
            catch (Exception e)
            {
                if (frm != null)
                {
                    try { frm.Dispose(); }
                    catch { }
                    frm = null;
                }
                YCMessageBox.ShowErrorMessage(e.Message);
            }
        }

    }
}
