﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using YSystem;

namespace YMyCustomer
{
    /// <summary>
    /// 顧客グループツリーのノードアイテム
    /// </summary>
    public class YCCustomerGroupNodeItem : YCDbList
    {
        private string _customerGroupCode = string.Empty;
        private string _customerGroupName = string.Empty;

        public YCCustomerGroupNodeItem(YCConnection connection)
            : base(connection)
        {
        }

        protected override string MakeSQLSelect(System.Data.Common.DbParameterCollection parameters)
        {
            string sql = "SELECT Ｍ顧客グループ.顧客グループコード, Ｍ顧客グループ.顧客グループ名";
            sql += " FROM Ｍ顧客グループ WHERE ";
            if (this.CustomerGroupCode != "")
            {
                sql += "Ｍ顧客グループ.所属顧客グループコード = " + YCDbHelper.SqlString(this.CustomerGroupCode);
            }
            else
            {
                sql += "(Ｍ顧客グループ.所属顧客グループコード Is Null OR Ｍ顧客グループ.所属顧客グループコード = '')";
            }
            sql += " ORDER BY Ｍ顧客グループ.プライオリティ, Ｍ顧客グループ.顧客グループコード;";
            
            return sql;
        }


        #region プロパティ

        /// <summary>
        /// 顧客グループコード
        /// </summary>
        public string CustomerGroupCode
        {
            get
            {
                return _customerGroupCode;
            }
            set
            {
                _customerGroupCode = value;
            }
        }

        /// <summary>
        /// ルートかどうかを取得します。
        /// </summary>
        public bool IsRoot
        {
            get
            {
                if (this.CustomerGroupCode == "") return true;
                else return false;
            }
        }

        /// <summary>
        /// 顧客グループ名
        /// </summary>
        public string CustomerGroupName
        {
            get
            {
                return _customerGroupName;
            }
            set
            {
                _customerGroupName = value;
            }
        }

        #endregion

        #region メソッド

        /// <summary>
        /// カレント行の子ノードアイテムの生成
        /// <para>事前にFillを実行し、MoveNextしながら順番に生成して下さい。</para>
        /// </summary>
        /// <returns>ノードアイテム</returns>
        public YCCustomerGroupNodeItem CreateChildNodeItem()
        {
            if (!this.IsLoaded) throw new YCException("読込みが実行されていません。");
            if (this.EOF) throw new YCException("子ノードの生成が不正です。");

            YCCustomerGroupNodeItem item = null;
            
            try
            {
                item = new YCCustomerGroupNodeItem(this.Connection);
                item.CustomerGroupCode = YCConvert.ToString(this["顧客グループコード"]);
                item.CustomerGroupName = YCConvert.ToString(this["顧客グループ名"]);
                
                return item;
            }
            catch (Exception e)
            {
                if (item != null)
                {
                    try { item.Dispose(); }
                    catch { }
                    item = null;
                }

                throw e;
            }
        }

        #endregion

    }
}
