﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

using YSystem;

namespace YMyCustomer
{
    /// <summary>
    /// 顧客ＦＡＸ登録用データコンテナダイアログ
    /// </summary>
    public partial class dlgCustomerFaxContainer : YCDataContainerDialog
    {
        public dlgCustomerFaxContainer()
        {
            InitializeComponent();
        }

        /// <summary>
        /// 選択リストの初期化
        /// </summary>
        protected override void SetControlSelections()
        {
            YCControlHelper.FillComboBox(ctl連絡先種別コード, YCListManager.Instance.Lists["連絡先種別"], true);
        }

        /// <summary>
        /// コントロールのバインド
        /// </summary>
        protected override void SetControlBindings()
        {
            this.BindControl(ctl連絡先種別コード, "SelectedValue", "連絡先種別コード");
            this.BindControl(ctlＦＡＸ番号, "Text", "ＦＡＸ番号");
            this.BindControl(ctl有効時間帯メモ, "Text", "有効時間帯メモ");
            this.BindControl(ctl備考, "Text", "備考");
        }

        /// <summary>
        /// バインドしないコントロールの初期化
        /// </summary>
        protected override void SetUnbindControls()
        {
            this.SetCheckBoxByIntegerValue(ctl利用不可フラグ, "利用不可フラグ");
        }

        //イベント
        private void dlgCustomerFaxContainer_Load(object sender, EventArgs e)
        {
            try
            {
                this.Initialize();
            }
            catch (Exception err)
            {
                YCMessageBox.ShowErrorMessage(err.Message);
            }
        }

        private void cmdOK_Click(object sender, EventArgs e)
        {
            try
            {
                this.EndEdit();

                this.DialogResult = DialogResult.OK;
                this.Close();

            }
            catch (Exception err)
            {
                YCCursor.Default();
                YCMessageBox.ShowErrorMessage(err.Message);

                this.DialogResult = DialogResult.Cancel;
                this.Close();
            }
        }

        private void ctl利用不可フラグ_CheckedChanged(object sender, EventArgs e)
        {
            try
            {
                this.WriteCheckBoxByIntegerValue(ctl利用不可フラグ, "利用不可フラグ");
            }
            catch (Exception err)
            {
                YCMessageBox.ShowErrorMessage(err.Message);
            }
        }
    }
}
