﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

using YSystem;

namespace YMyCustomer
{
    /// <summary>
    /// 顧客メールアドレス登録用データコンテナダイアログ
    /// </summary>
    public partial class dlgCustomerMailContainer : YCDataContainerDialog
    {
        public dlgCustomerMailContainer()
        {
            InitializeComponent();
        }

        /// <summary>
        /// 選択リストの初期化
        /// </summary>
        protected override void SetControlSelections()
        {
            YCControlHelper.FillComboBox(ctl連絡先種別コード, YCListManager.Instance.Lists["連絡先種別"], true);
            YCControlHelper.FillComboBox(ctlメール種別コード, YCListManager.Instance.Lists["メール種別"], true);
        }

        /// <summary>
        /// コントロールのバインド
        /// </summary>
        protected override void SetControlBindings()
        {
            this.BindControl(ctl連絡先種別コード, "SelectedValue", "連絡先種別コード");
            this.BindControl(ctlメール種別コード, "SelectedValue", "メール種別コード");
            this.BindControl(ctlメールアドレス, "Text", "メールアドレス");
            this.BindControl(ctl備考, "Text", "備考");
        }

        /// <summary>
        /// バインドしないコントロールの初期化
        /// </summary>
        protected override void SetUnbindControls()
        {
            this.SetCheckBoxByIntegerValue(ctlグループ一括メールフラグ, "グループ一括メールフラグ");
        }

        //イベント
        private void dlgCustomerMailContainer_Load(object sender, EventArgs e)
        {
            try
            {
                this.Initialize();
            }
            catch (Exception err)
            {
                YCMessageBox.ShowErrorMessage(err.Message);
            }
        }

        private void cmdOK_Click(object sender, EventArgs e)
        {
            try
            {
                this.EndEdit();

                this.DialogResult = DialogResult.OK;
                this.Close();

            }
            catch (Exception err)
            {
                YCCursor.Default();
                YCMessageBox.ShowErrorMessage(err.Message);

                this.DialogResult = DialogResult.Cancel;
                this.Close();
            }
        }

        private void ctlグループ一括メールフラグ_CheckedChanged(object sender, EventArgs e)
        {
            try
            {
                this.WriteCheckBoxByIntegerValue(ctlグループ一括メールフラグ, "グループ一括メールフラグ");
            }
            catch (Exception err)
            {
                YCMessageBox.ShowErrorMessage(err.Message);
            }
        }
    }
}
