﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

using YSystem;

namespace YMyCustomer
{
    /// <summary>
    /// 送信用メールアカウントリストダイアログ
    /// </summary>
    public partial class dlgMailAccountList : YCDbListDialog
    {
        public dlgMailAccountList()
        {
            InitializeComponent();
        }

        /// <summary>
        /// データグリッドビュー
        /// </summary>
        protected override DataGridView ListGrid
        {
            get
            {
                return this.dgList;
            }
        }

        /// <summary>
        /// データグリッドビューの列の作成
        /// </summary>
        protected override void CreateListGridColumns()
        {
            if (YCLicenseKeys.FrameworkKey != "")
            {
                //
                //YWorks Software Framework キーが設定されている場合
                //項目にIMEモードの指定ができます。
                //YCLicenseKeys.FrameworkKeyプロパティを実装して下さい。
                //

                this.AddGridTextColumn("メールアカウントコード", ImeMode.Off);
                this.AddGridTextColumn("メールアカウント名", ImeMode.Hiragana);
                this.AddGridTextColumn("アカウントＩＤ", ImeMode.Off);
                this.AddGridTextColumn("パスワード", ImeMode.Off);
                this.AddGridTextColumn("メールアドレス", ImeMode.Off);
                this.AddGridTextColumn("メールアドレス表示名", ImeMode.Hiragana);
                this.AddGridTextColumn("ＳＭＴＰサーバ", ImeMode.Off);
                this.AddGridTextColumn("ＳＭＴＰポート", ImeMode.Off);
                this.AddGridCheckBoxColumn("ＳＭＴＰ認証フラグ", -1, 0);
                this.AddGridTextColumn("ＳＭＴＰ認証アカウントＩＤ", ImeMode.Off);
                this.AddGridTextColumn("ＳＭＴＰ認証パスワード", ImeMode.Off);
                this.AddGridTextColumn("プライオリティ", ImeMode.Off);
            }
            else
            {
                this.AddGridTextColumn("メールアカウントコード");
                this.AddGridTextColumn("メールアカウント名");
                this.AddGridTextColumn("アカウントＩＤ");
                this.AddGridTextColumn("パスワード");
                this.AddGridTextColumn("メールアドレス");
                this.AddGridTextColumn("メールアドレス表示名");
                this.AddGridTextColumn("ＳＭＴＰサーバ");
                this.AddGridTextColumn("ＳＭＴＰポート");
                this.AddGridCheckBoxColumn("ＳＭＴＰ認証フラグ", -1, 0);
                this.AddGridTextColumn("ＳＭＴＰ認証アカウントＩＤ");
                this.AddGridTextColumn("ＳＭＴＰ認証パスワード");
                this.AddGridTextColumn("プライオリティ");
            }

        }

        /// <summary>
        /// データグリッドビューの列の書式設定
        /// </summary>
        protected override void FormatListGrid()
        {
            string columnName;

            //dgList.ReadOnly = true;
            this.ListGrid.AllowUserToAddRows = true;
            this.ListGrid.AllowUserToDeleteRows = true;
            this.ListGrid.AllowUserToOrderColumns = false;
            this.ListGrid.AllowUserToResizeColumns = true;

            this.ListGrid.ColumnHeadersDefaultCellStyle.Alignment = DataGridViewContentAlignment.MiddleCenter;
            this.ListGrid.RowTemplate.Height = YCListGridConst.DEFAULT_ROW_HEIGHT;
            this.ListGrid.AlternatingRowsDefaultCellStyle.BackColor = Color.FromName(YCListGridConst.DEFAULT_ALTERNATING_ROWS_BACK_COLOR);
            this.ListGrid.DefaultCellStyle.WrapMode = DataGridViewTriState.False;

            columnName = "メールアカウントコード";
            this.ListGrid.Columns[columnName].Width = 100;
            this.ListGrid.Columns[columnName].HeaderText = "アカウントコード";

            columnName = "メールアカウント名";
            this.ListGrid.Columns[columnName].Width = 100;
            this.ListGrid.Columns[columnName].HeaderText = "アカウント名";

            columnName = "アカウントＩＤ";
            this.ListGrid.Columns[columnName].Width = 100;
            this.ListGrid.Columns[columnName].HeaderText = "アカウント";

            columnName = "パスワード";
            this.ListGrid.Columns[columnName].Width = 100;
            this.ListGrid.Columns[columnName].HeaderText = "パスワード";

            columnName = "メールアドレス";
            this.ListGrid.Columns[columnName].Width = 200;
            this.ListGrid.Columns[columnName].HeaderText = "アドレス";

            columnName = "メールアドレス表示名";
            this.ListGrid.Columns[columnName].Width = 200;
            this.ListGrid.Columns[columnName].HeaderText = "アドレス表示";

            columnName = "ＳＭＴＰサーバ";
            this.ListGrid.Columns[columnName].Width = 200;
            this.ListGrid.Columns[columnName].HeaderText = "送信サーバ";

            columnName = "ＳＭＴＰポート";
            this.ListGrid.Columns[columnName].Width = 80;
            this.ListGrid.Columns[columnName].HeaderText = "ポート";
            this.ListGrid.Columns[columnName].DefaultCellStyle.Alignment = DataGridViewContentAlignment.MiddleRight;

            columnName = "ＳＭＴＰ認証フラグ";
            this.ListGrid.Columns[columnName].Width = 50;
            this.ListGrid.Columns[columnName].HeaderText = "認証";

            columnName = "ＳＭＴＰ認証アカウントＩＤ";
            this.ListGrid.Columns[columnName].Width = 100;
            this.ListGrid.Columns[columnName].HeaderText = "認証アカウント";

            columnName = "ＳＭＴＰ認証パスワード";
            this.ListGrid.Columns[columnName].Width = 100;
            this.ListGrid.Columns[columnName].HeaderText = "認証パスワード";

            columnName = "プライオリティ";
            this.ListGrid.Columns[columnName].Width = 70;
            this.ListGrid.Columns[columnName].HeaderText = "順位";
            this.ListGrid.Columns[columnName].DefaultCellStyle.Alignment = DataGridViewContentAlignment.MiddleRight;
        }

        //イベント処理
        private void dlgMailAccountList_Load(object sender, EventArgs e)
        {
            try
            {
                this.LoadData();
            }
            catch (Exception err)
            {
                YCMessageBox.ShowErrorMessage(err.Message);
            }
        }

        private void cmdOK_Click(object sender, EventArgs e)
        {
            try
            {
                this.EndEdit();

                YCCursor.Wait();
                this.Save(true);
                YCCursor.Default();

                this.DialogResult = DialogResult.OK;
                this.Close();
            }
            catch (Exception err)
            {
                YCCursor.Default();
                YCMessageBox.ShowErrorMessage(err.Message);

                this.DialogResult = DialogResult.Cancel;
                this.Close();
            }
        }

    }
}
