using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

using YSystem;

namespace YMyCustomer
{
    /// <summary>
    /// [UO[vo^pXg_CAO
    /// </summary>
    public partial class dlgUserGroupList : YSystem.YCDbListDialog
    {
        public dlgUserGroupList()
        {
            InitializeComponent();
        }

        //DataGridViewIuWFNgԂ܂B
        protected override DataGridView ListGrid
        {
            get
            {
                return dgList;
            }
        }

        //f[^Obhr[̗̍쐬
        protected override void CreateListGridColumns()
        {
            
            if (YCLicenseKeys.FrameworkKey != "")
            {
                //
                //YWorks Software Framework L[ݒ肳Ăꍇ
                //ڂIME[h̎w肪ł܂B
                //YCLicenseKeys.FrameworkKeyvpeBĉB
                //

                this.AddGridTextColumn("[UO[vR[h");
                this.AddGridTextColumn("[UO[v", ImeMode.Hiragana);
                this.AddGridTextColumn("vCIeB", ImeMode.Off);
                this.AddGridCheckBoxColumn("Ǘ҃tO", -1, 0);
                this.AddGridCheckBoxColumn("QXgtO", -1, 0);
                this.AddGridTextColumn("x", ImeMode.Off);
                this.AddGridCheckBoxColumn("폜tO", -1, 0);
            }
            else
            {
                this.AddGridTextColumn("[UO[vR[h");
                this.AddGridTextColumn("[UO[v");
                this.AddGridTextColumn("vCIeB");
                this.AddGridCheckBoxColumn("Ǘ҃tO", -1, 0);
                this.AddGridCheckBoxColumn("QXgtO", -1, 0);
                this.AddGridTextColumn("x");
                this.AddGridCheckBoxColumn("폜tO", -1, 0);
            }
        }

        //f[^Obhr[̗̏ݒ
        protected override void FormatListGrid()
        {
            string columnName;

            //dgList.ReadOnly = true;
            this.ListGrid.AllowUserToAddRows = true;
            this.ListGrid.AllowUserToDeleteRows = true;
            this.ListGrid.AllowUserToOrderColumns = false;
            this.ListGrid.AllowUserToResizeColumns = true;

            this.ListGrid.ColumnHeadersDefaultCellStyle.Alignment = DataGridViewContentAlignment.MiddleCenter;
            this.ListGrid.RowTemplate.Height = YCListGridConst.DEFAULT_ROW_HEIGHT;
            this.ListGrid.AlternatingRowsDefaultCellStyle.BackColor = Color.FromName(YCListGridConst.DEFAULT_ALTERNATING_ROWS_BACK_COLOR);
            this.ListGrid.DefaultCellStyle.WrapMode = DataGridViewTriState.False;
            
            columnName = "[UO[vR[h";
            this.ListGrid.Columns[columnName].Width = 70;
            this.ListGrid.Columns[columnName].HeaderText = "R[h";
            //this.ListGrid.Columns[columnName].Frozen = true;
            //this.ListGrid.Columns[columnName].DividerWidth = 2;

            columnName = "[UO[v";
            this.ListGrid.Columns[columnName].Width = 100;
            this.ListGrid.Columns[columnName].HeaderText = "O[v";

            columnName = "vCIeB";
            this.ListGrid.Columns[columnName].Width = 70;
            this.ListGrid.Columns[columnName].HeaderText = "";
            this.ListGrid.Columns[columnName].DefaultCellStyle.Alignment = DataGridViewContentAlignment.MiddleRight;

            columnName = "Ǘ҃tO";
            this.ListGrid.Columns[columnName].Width = 50;
            this.ListGrid.Columns[columnName].HeaderText = "Ǘ";

            columnName = "QXgtO";
            this.ListGrid.Columns[columnName].Width = 50;
            this.ListGrid.Columns[columnName].HeaderText = "QXg";

            columnName = "x";
            this.ListGrid.Columns[columnName].Width = 70;
            this.ListGrid.Columns[columnName].HeaderText = "Lv";
            this.ListGrid.Columns[columnName].DefaultCellStyle.Alignment = DataGridViewContentAlignment.MiddleRight;

            columnName = "폜tO";
            this.ListGrid.Columns[columnName].Width = 50;
            this.ListGrid.Columns[columnName].HeaderText = "폜";

        }

        //Cxg
        private void dlgUserGroupList_Load(object sender, EventArgs e)
        {
            try
            {
                this.LoadData();
            }
            catch (Exception err)
            {
                YCMessageBox.ShowErrorMessage(err.Message);
            }
        }

        private void cmdOK_Click(object sender, EventArgs e)
        {
            try
            {
                this.EndEdit();

                YCCursor.Wait();
                this.Save(true);
                YCCursor.Default();

                this.DialogResult = DialogResult.OK;
                this.Close();
            }
            catch (Exception err)
            {
                YCCursor.Default();
                YCMessageBox.ShowErrorMessage(err.Message);

                this.DialogResult = DialogResult.Cancel;
                this.Close();
            }
        }
        
    }
}

