﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

using YSystem;

namespace YMyCustomer
{
    /// <summary>
    /// 管理者ユーザメニュー
    /// </summary>
    public partial class frmAdministratorMenu : YCMenuForm
    {
        public frmAdministratorMenu()
        {
            InitializeComponent();
        }

        #region データ登録

        private void cmd_Click(object sender, EventArgs e)
        {
            try
            {
                //顧客登録
                YCCommandEntry.OpenSearchCustomerNameList();
            }
            catch (Exception err)
            {
                YCMessageBox.ShowErrorMessage(err.Message);
            }
        }

        private void cmdOpenCustomerGroupEntryList_Click(object sender, EventArgs e)
        {
            try
            {
                //顧客グループ登録
                YCCommandEntry.OpenCustomerGroupEntryList();
            }
            catch (Exception err)
            {
                YCMessageBox.ShowErrorMessage(err.Message);
            }
        }

        #endregion

        #region ツール

        private void cmdOpenCustomerList_Click(object sender, EventArgs e)
        {
            try
            {
                //顧客リスト表示
                YCCommandTools.OpenCustomerList();
            }
            catch (Exception err)
            {
                YCMessageBox.ShowErrorMessage(err.Message);
            }
        }

        private void cmdOpenCustomerGroupMail_Click(object sender, EventArgs e)
        {
            try
            {
                //顧客グループメール送信表示
                YCCommandTools.OpenCustomerGroupMail();
            }
            catch (Exception err)
            {
                YCMessageBox.ShowErrorMessage(err.Message);
            }
        }

        #endregion

        #region マスタメンテナンス

        private void cmdOpenUserList_Click(object sender, EventArgs e)
        {
            try
            {
                //ユーザマスタメンテナンス
                YCCommandMasterMaintenance.OpenUserList();
            }
            catch (Exception err)
            {
                YCMessageBox.ShowErrorMessage(err.Message);
            }
        }

        private void cmdOpenUserGroupList_Click(object sender, EventArgs e)
        {
            try
            {
                //ユーザグループマスタメンテナンス
                YCCommandMasterMaintenance.OpenUserGroupList();
            }
            catch (Exception err)
            {
                YCMessageBox.ShowErrorMessage(err.Message);
            }
        }

        private void cmdOpenBusinessTypeList_Click(object sender, EventArgs e)
        {
            try
            {
                //業種マスタメンテナンス
                YCCommandMasterMaintenance.OpenBusinessTypeList();
            }
            catch (Exception err)
            {
                YCMessageBox.ShowErrorMessage(err.Message);
            }
        }

        private void cmdOpenOccupationTypeList_Click(object sender, EventArgs e)
        {
            try
            {
                //職種マスタメンテナンス
                YCCommandMasterMaintenance.OpenOccupationTypeList();
            }
            catch (Exception err)
            {
                YCMessageBox.ShowErrorMessage(err.Message);
            }
        }

        private void cmdOpenMailAccountList_Click(object sender, EventArgs e)
        {
            try
            {
                //メールアカウントマスタメンテナンス
                YCCommandMasterMaintenance.OpenMailAccountList();
            }
            catch (Exception err)
            {
                YCMessageBox.ShowErrorMessage(err.Message);
            }
        }

        #endregion

    }
}