using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

using YSystem;

namespace YMyCustomer
{
    /// <summary>
    /// [Uo^pXgtH[
    /// </summary>
    public partial class frmUserList : YSystem.YCDbListForm
    {
        public frmUserList()
        {
            InitializeComponent();
        }
        //DataGridViewIuWFNgԂ܂B
        protected override DataGridView ListGrid
        {
            get
            {
                return dgList;
            }
        }

        protected override void CreateListGridColumns()
        {
            this.AddGridTextColumn("[Uhc");
            this.AddGridTextColumn("[U");
            this.AddGridTextColumn("[UJi");
            this.AddGridTextColumn("pX[h");
            this.AddGridTextColumn("[UO[v");
            this.AddGridCheckBoxColumn("폜tO", -1, 0);
        }

        protected override void FormatListGrid()
        {
            string columnName;

            this.ListGrid.ReadOnly = true;
            this.ListGrid.AllowUserToAddRows = false;
            this.ListGrid.AllowUserToDeleteRows = false;
            this.ListGrid.AllowUserToOrderColumns = false;
            this.ListGrid.AllowUserToResizeColumns = true;

            this.ListGrid.ColumnHeadersDefaultCellStyle.Alignment = DataGridViewContentAlignment.MiddleCenter;
            this.ListGrid.RowTemplate.Height = YCListGridConst.DEFAULT_ROW_HEIGHT;
            this.ListGrid.AlternatingRowsDefaultCellStyle.BackColor = Color.FromName(YCListGridConst.DEFAULT_ALTERNATING_ROWS_BACK_COLOR);
            this.ListGrid.DefaultCellStyle.WrapMode = DataGridViewTriState.False;

            columnName = "[Uhc";
            this.ListGrid.Columns[columnName].Width = 100;
            this.ListGrid.Columns[columnName].Frozen = true;
            this.ListGrid.Columns[columnName].DividerWidth = 2;

            columnName = "[U";
            this.ListGrid.Columns[columnName].Width = 100;

            columnName = "[UJi";
            this.ListGrid.Columns[columnName].Width = 100;
            this.ListGrid.Columns[columnName].HeaderText = "Ji";

            columnName = "pX[h";
            this.ListGrid.Columns[columnName].Width = 100;

            columnName = "[UO[v";
            this.ListGrid.Columns[columnName].Width = 100;
            this.ListGrid.Columns[columnName].HeaderText = "O[v";

            columnName = "폜tO";
            this.ListGrid.Columns[columnName].Width = 50;
            this.ListGrid.Columns[columnName].HeaderText = "폜";

        }

        //[Uo^ڍ׉ʂJ܂B
        private void OpenUserForRegistration(bool isAdd)
        {
            YCUserForRegistration user = null;
            dlgUserForRegistration dlg = null;

            try
            {
                user = new YCUserForRegistration(this.List.Connection);

                if (isAdd)
                {
                    //VKo^̏ꍇ
                    user.IsNew = true;
                }
                else
                {
                    //[Ȕꍇ
                    user.KeyCode = YCConvert.ToString(this.ListGrid["[Uhc", this.SelectedListGridIndex].Value);
                }

                dlg = new dlgUserForRegistration();
                dlg.Object = user;

                DialogResult ret = dlg.ShowDialog(YCApplication.Instance.MdiParent);
                dlg.Dispose();
                dlg = null;

                if (ret == DialogResult.OK)
                {
                    this.List.RefreshRow(user);

                    //OI[U̍ēǂݍ
                    YCApplication.Instance.User.LoadUserInfo(YCConnectionManager.Instance.Connection);
                }

                user.Dispose();
                user = null;
            }
            catch (Exception e)
            {
                if (dlg != null)
                {
                    try { dlg.Dispose(); }
                    catch { }
                    dlg = null;
                }

                if (user != null)
                {
                    try { user.Dispose(); }
                    catch { }
                    user = null;
                }
                throw e;
            }
        }

        //Cxg
        private void frmUserList_Load(object sender, EventArgs e)
        {
            try
            {
                this.LoadData();
                this.Centering();
            }
            catch (Exception err)
            {
                YCMessageBox.ShowErrorMessage(err.Message);
            }
        }

        private void cmdAdd_Click(object sender, EventArgs e)
        {
            try
            {
                this.OpenUserForRegistration(true);
            }
            catch (Exception err)
            {
                YCMessageBox.ShowErrorMessage(err.Message);
            }
        }

        private void cmdOpenDetail_Click(object sender, EventArgs e)
        {
            try
            {
                this.OpenUserForRegistration(false);
            }
            catch (Exception err)
            {
                YCMessageBox.ShowErrorMessage(err.Message);
            }
        }

        private void dgList_CellDoubleClick(object sender, DataGridViewCellEventArgs e)
        {
            try
            {
                this.OpenUserForRegistration(false);
            }
            catch (Exception err)
            {
                YCMessageBox.ShowErrorMessage(err.Message);
            }
        }
    }
}

